Package org.eclipse.net4j.db

## Interface IDBDatabase.SchemaChangedEvent

- All Superinterfaces:
    `org.eclipse.net4j.util.event.IEvent`
  Enclosing interface:
    IDBDatabase

      public static interface IDBDatabase.SchemaChangedEvent
      extends org.eclipse.net4j.util.event.IEvent

  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `IDBSchemaDelta` | `getSchemaDelta()` |
    `IDBDatabase` | `getSource()` |

- - ### Method Detail

    - #### getSource

          IDBDatabase getSource()

      Specified by:
        `getSource` in interface `org.eclipse.net4j.util.event.IEvent`

    - #### getSchemaDelta

          IDBSchemaDelta getSchemaDelta()